import java.util.*;
public class PlasmaKeks {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int brojKupovina = sc.nextInt();
        int brojPitanja = sc.nextInt();
        int[] dani = new int[brojKupovina];
        int[] paketi = new int[brojKupovina];
        int maksimalniDan = 0;
        for (int i = 0; i < brojKupovina; i++) {
            dani[i] = sc.nextInt();
            paketi[i] = sc.nextInt();
            maksimalniDan = Math.max(maksimalniDan, dani[i]);
        }
        int[] zbirKupovina = new int[maksimalniDan + 1];
        for (int i = 0; i < brojKupovina; i++) {
            zbirKupovina[dani[i]] += paketi[i];
        }
        for (int i = 1; i <= maksimalniDan; i++) {
            zbirKupovina[i] += zbirKupovina[i - 1];
        }
        for (int i = 0; i < brojPitanja; i++) {
            int dan = sc.nextInt();
            if (dan > maksimalniDan) {
                System.out.println(zbirKupovina[maksimalniDan]);
            } else {
                System.out.println(zbirKupovina[dan]);
            }
        }
    }
}